---
title: llarp::exit::Policy

---

# llarp::exit::Policy





## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[BDecode](Classes/structllarp_1_1exit_1_1Policy.md#function-bdecode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) |
| bool | **[DecodeKey](Classes/structllarp_1_1exit_1_1Policy.md#function-decodekey)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & k, [llarp_buffer_t](Classes/structllarp__buffer__t.md) * val) |
| bool | **[BEncode](Classes/structllarp_1_1exit_1_1Policy.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| uint64_t | **[proto](Classes/structllarp_1_1exit_1_1Policy.md#variable-proto)**  |
| uint64_t | **[port](Classes/structllarp_1_1exit_1_1Policy.md#variable-port)**  |
| uint64_t | **[drop](Classes/structllarp_1_1exit_1_1Policy.md#variable-drop)**  |
| uint64_t | **[version](Classes/structllarp_1_1exit_1_1Policy.md#variable-version)**  |

## Public Functions Documentation

### function BDecode

```cpp
inline bool BDecode(
    llarp_buffer_t * buf
)
```


### function DecodeKey

```cpp
bool DecodeKey(
    const llarp_buffer_t & k,
    llarp_buffer_t * val
)
```


### function BEncode

```cpp
bool BEncode(
    llarp_buffer_t * buf
) const
```


## Public Attributes Documentation

### variable proto

```cpp
uint64_t proto = 0;
```


### variable port

```cpp
uint64_t port = 0;
```


### variable drop

```cpp
uint64_t drop = 0;
```


### variable version

```cpp
uint64_t version = llarp::constants::proto_version;
```


-------------------------------

Updated on 2022-09-19 at 17:18:33 +0000